tigase.jaxmpp.core.client

## Interface XmppSessionLogic.XmppSessionEstablishedHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    PresenceModule, RosterModule
  Enclosing interface:
    XmppSessionLogic

      public static interface XmppSessionLogic.XmppSessionEstablishedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XmppSessionLogic.XmppSessionEstablishedHandler.XmppSessionEstablishedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onXmppSessionEstablished(SessionObject sessionObject)`

- - ### Method Detail

    - #### onXmppSessionEstablished

          void onXmppSessionEstablished(SessionObject sessionObject)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.